Liste las cuentas de integración de Elastic Cloud

Note: This endpoint is in public beta. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/integration-interfaces/elastic-cloud/accountshttps://api.ap2.datadoghq.com/api/v2/integration-interfaces/elastic-cloud/accountshttps://api.datadoghq.eu/api/v2/integration-interfaces/elastic-cloud/accountshttps://api.ddog-gov.com/api/v2/integration-interfaces/elastic-cloud/accountshttps://api.us2.ddog-gov.com/api/v2/integration-interfaces/elastic-cloud/accountshttps://api.uk1.datadoghq.com/api/v2/integration-interfaces/elastic-cloud/accountshttps://api.datadoghq.com/api/v2/integration-interfaces/elastic-cloud/accountshttps://api.us3.datadoghq.com/api/v2/integration-interfaces/elastic-cloud/accountshttps://api.us5.datadoghq.com/api/v2/integration-interfaces/elastic-cloud/accounts

Información general

List Elastic Cloud integration accounts. This endpoint requires the integrations_read permission.

Respuesta

OK

Response payload for a list of Elastic Cloud integration accounts.

Expand All

Campo

Tipo

Descripción

data [required]

[object]

List of Elastic Cloud integration accounts.

attributes [required]

object

Attributes of an Elastic Cloud integration account returned in responses.

authentication

 <oneOf>

Authentication configured on the Elastic Cloud integration account.

<auth_type=basic>

object

The basic authentication method and username configured on the account.

auth_type [required]

enum

The authentication method type. Allowed enum values: basic

default: basic

username [required]

string

Non-secret username or public identifier for the credential pair.

dataflows

object

Dataflows configured on the Elastic Cloud integration account, keyed by dataflow id.

elastic-cloud-detailed-index-stats

object

The Elastic Cloud detailed index stats dataflow.

enabled

boolean

Whether the Elastic Cloud dataflow is enabled.

status

object

Read-only collection status of a dataflow.

health

enum

Collection health of a single dataflow. Allowed enum values: DATAFLOW_HEALTH_OK,DATAFLOW_HEALTH_BROKEN,DATAFLOW_HEALTH_UNKNOWN

message

string

Human-readable detail, populated when the dataflow is not healthy.

updated_at

date-time

Time the status was last computed.

elastic-cloud-index-stats

object

The Elastic Cloud index stats dataflow.

enabled

boolean

Whether the Elastic Cloud dataflow is enabled.

status

object

Read-only collection status of a dataflow.

health

enum

Collection health of a single dataflow. Allowed enum values: DATAFLOW_HEALTH_OK,DATAFLOW_HEALTH_BROKEN,DATAFLOW_HEALTH_UNKNOWN

message

string

Human-readable detail, populated when the dataflow is not healthy.

updated_at

date-time

Time the status was last computed.

elastic-cloud-metrics

object

The Elastic Cloud metrics dataflow.

enabled

boolean

Whether the Elastic Cloud dataflow is enabled.

status

object

Read-only collection status of a dataflow.

health

enum

Collection health of a single dataflow. Allowed enum values: DATAFLOW_HEALTH_OK,DATAFLOW_HEALTH_BROKEN,DATAFLOW_HEALTH_UNKNOWN

message

string

Human-readable detail, populated when the dataflow is not healthy.

updated_at

date-time

Time the status was last computed.

elastic-cloud-pending-task-stats

object

The Elastic Cloud pending task stats dataflow.

enabled

boolean

Whether the Elastic Cloud dataflow is enabled.

status

object

Read-only collection status of a dataflow.

health

enum

Collection health of a single dataflow. Allowed enum values: DATAFLOW_HEALTH_OK,DATAFLOW_HEALTH_BROKEN,DATAFLOW_HEALTH_UNKNOWN

message

string

Human-readable detail, populated when the dataflow is not healthy.

updated_at

date-time

Time the status was last computed.

elastic-cloud-primary-shard-graceful-timeout

object

The Elastic Cloud primary shard graceful timeout dataflow.

enabled

boolean

Whether the Elastic Cloud dataflow is enabled.

status

object

Read-only collection status of a dataflow.

health

enum

Collection health of a single dataflow. Allowed enum values: DATAFLOW_HEALTH_OK,DATAFLOW_HEALTH_BROKEN,DATAFLOW_HEALTH_UNKNOWN

message

string

Human-readable detail, populated when the dataflow is not healthy.

updated_at

date-time

Time the status was last computed.

elastic-cloud-primary-shard-stats

object

The Elastic Cloud primary shard stats dataflow.

enabled

boolean

Whether the Elastic Cloud dataflow is enabled.

status

object

Read-only collection status of a dataflow.

health

enum

Collection health of a single dataflow. Allowed enum values: DATAFLOW_HEALTH_OK,DATAFLOW_HEALTH_BROKEN,DATAFLOW_HEALTH_UNKNOWN

message

string

Human-readable detail, populated when the dataflow is not healthy.

updated_at

date-time

Time the status was last computed.

elastic-cloud-shard-allocation-stats

object

The Elastic Cloud shard allocation stats dataflow.

enabled

boolean

Whether the Elastic Cloud dataflow is enabled.

status

object

Read-only collection status of a dataflow.

health

enum

Collection health of a single dataflow. Allowed enum values: DATAFLOW_HEALTH_OK,DATAFLOW_HEALTH_BROKEN,DATAFLOW_HEALTH_UNKNOWN

message

string

Human-readable detail, populated when the dataflow is not healthy.

updated_at

date-time

Time the status was last computed.

elastic-cloud-slm-stats

object

The Elastic Cloud snapshot lifecycle management stats dataflow.

enabled

boolean

Whether the Elastic Cloud dataflow is enabled.

status

object

Read-only collection status of a dataflow.

health

enum

Collection health of a single dataflow. Allowed enum values: DATAFLOW_HEALTH_OK,DATAFLOW_HEALTH_BROKEN,DATAFLOW_HEALTH_UNKNOWN

message

string

Human-readable detail, populated when the dataflow is not healthy.

updated_at

date-time

Time the status was last computed.

name [required]

string

Human-readable name of the Elastic Cloud integration account.

settings [required]

object

Settings configured on the Elastic Cloud integration account.

tags

string

Comma-separated list of custom tags for this Elastic Cloud deployment.

url [required]

string

Elastic Cloud deployment URL.

id [required]

string

Server-generated unique identifier of the Elastic Cloud integration account.

type [required]

enum

The type of the integration account resource. Always integration-account. Allowed enum values: integration-account

default: integration-account

{
  "data": [
    {
      "attributes": {
        "authentication": {
          "auth_type": "basic",
          "username": "datadog"
        },
        "dataflows": {
          "elastic-cloud-detailed-index-stats": {
            "enabled": true,
            "status": {
              "health": "DATAFLOW_HEALTH_OK",
              "message": "",
              "updated_at": "2026-06-25T08:30:50Z"
            }
          },
          "elastic-cloud-index-stats": {
            "enabled": true,
            "status": {
              "health": "DATAFLOW_HEALTH_OK",
              "message": "",
              "updated_at": "2026-06-25T08:30:50Z"
            }
          },
          "elastic-cloud-metrics": {
            "enabled": true,
            "status": {
              "health": "DATAFLOW_HEALTH_OK",
              "message": "",
              "updated_at": "2026-06-25T08:30:50Z"
            }
          },
          "elastic-cloud-pending-task-stats": {
            "enabled": true,
            "status": {
              "health": "DATAFLOW_HEALTH_OK",
              "message": "",
              "updated_at": "2026-06-25T08:30:50Z"
            }
          },
          "elastic-cloud-primary-shard-graceful-timeout": {
            "enabled": true,
            "status": {
              "health": "DATAFLOW_HEALTH_OK",
              "message": "",
              "updated_at": "2026-06-25T08:30:50Z"
            }
          },
          "elastic-cloud-primary-shard-stats": {
            "enabled": true,
            "status": {
              "health": "DATAFLOW_HEALTH_OK",
              "message": "",
              "updated_at": "2026-06-25T08:30:50Z"
            }
          },
          "elastic-cloud-shard-allocation-stats": {
            "enabled": true,
            "status": {
              "health": "DATAFLOW_HEALTH_OK",
              "message": "",
              "updated_at": "2026-06-25T08:30:50Z"
            }
          },
          "elastic-cloud-slm-stats": {
            "enabled": true,
            "status": {
              "health": "DATAFLOW_HEALTH_OK",
              "message": "",
              "updated_at": "2026-06-25T08:30:50Z"
            }
          }
        },
        "name": "elastic-cloud-prod",
        "settings": {
          "tags": "env:prod,team:saasint",
          "url": "https://example.es.us-central1.gcp.cloud.es.io:9243"
        }
      },
      "id": "953a0060-81ec-4221-aed4-d4733b59cd96",
      "type": "integration-account"
    }
  ]
}

Bad Request

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Ejemplo de código

                  # Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integration-interfaces/elastic-cloud/accounts" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
"""
List Elastic Cloud integration accounts returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.elastic_cloud_integration_accounts_api import ElasticCloudIntegrationAccountsApi

configuration = Configuration()
configuration.unstable_operations["list_elastic_cloud_integration_accounts"] = True
with ApiClient(configuration) as api_client:
    api_instance = ElasticCloudIntegrationAccountsApi(api_client)
    response = api_instance.list_elastic_cloud_integration_accounts()

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
# List Elastic Cloud integration accounts returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.list_elastic_cloud_integration_accounts".to_sym] = true
end
api_instance = DatadogAPIClient::V2::ElasticCloudIntegrationAccountsAPI.new
p api_instance.list_elastic_cloud_integration_accounts()

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
// List Elastic Cloud integration accounts returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.ListElasticCloudIntegrationAccounts", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewElasticCloudIntegrationAccountsApi(apiClient)
	resp, r, err := api.ListElasticCloudIntegrationAccounts(ctx)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `ElasticCloudIntegrationAccountsApi.ListElasticCloudIntegrationAccounts`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `ElasticCloudIntegrationAccountsApi.ListElasticCloudIntegrationAccounts`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
// List Elastic Cloud integration accounts returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.ElasticCloudIntegrationAccountsApi;
import com.datadog.api.client.v2.model.ElasticCloudIntegrationAccountsResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.listElasticCloudIntegrationAccounts", true);
    ElasticCloudIntegrationAccountsApi apiInstance =
        new ElasticCloudIntegrationAccountsApi(defaultClient);

    try {
      ElasticCloudIntegrationAccountsResponse result =
          apiInstance.listElasticCloudIntegrationAccounts();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling"
              + " ElasticCloudIntegrationAccountsApi#listElasticCloudIntegrationAccounts");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
// List Elastic Cloud integration accounts returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_elastic_cloud_integration_accounts::ElasticCloudIntegrationAccountsAPI;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.ListElasticCloudIntegrationAccounts", true);
    let api = ElasticCloudIntegrationAccountsAPI::with_config(configuration);
    let resp = api.list_elastic_cloud_integration_accounts().await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * List Elastic Cloud integration accounts returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.listElasticCloudIntegrationAccounts"] =
  true;
const apiInstance = new v2.ElasticCloudIntegrationAccountsApi(configuration);

apiInstance
  .listElasticCloudIntegrationAccounts()
  .then((data: v2.ElasticCloudIntegrationAccountsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"